package tical.ui.graphical.controls.button;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;

import tical.utils.ValidateListener;

/**
 * @author   grummfy
 * @version 28-02-008
 */
public class Button_Event extends JButton implements MouseListener
{
	public Button_Event(String defaultTxt)
	{
		super();
		this.setText(defaultTxt);

		this.addMouseListener(this);
	}

	public void mouseClicked(MouseEvent e)
	{
		System.out.println("Clique sur : " + this.getText());
	}

	public void mouseEntered(MouseEvent e)
	{}

	public void mouseExited(MouseEvent e)
	{}

	public void mousePressed(MouseEvent e)
	{}

	public void mouseReleased(MouseEvent e)
	{}

	public void addValidateListener(ValidateListener vl)
	{
		//remonte à AbstractButton
		listenerList.add(ValidateListener.class, vl);
	}

	public void removeValidateListener(ValidateListener vl)
	{
		this.listenerList.remove(ValidateListener.class, vl);
	}

	protected synchronized void fireValidatePerformed()
	{		
		ValidateListener clist[] = (ValidateListener[]) this.getListeners(ValidateListener.class);
		for (int i = clist.length - 1; i >= 0; i--)
			clist[ i ].validationPerformed();
	}
}
