package tical.ui.graphical.frame;

import javax.swing.BoxLayout;
import javax.swing.JFrame;

import tical.main.Controller;
import tical.ui.graphical.controls.button.Button_Annuler;
import tical.ui.graphical.controls.button.Button_Valider;
import tical.ui.graphical.panel.Panel_Calendar;
import tical.utils.ValidateListener;

/**
 * @author   grummfy
 * @version 18-08-2008
 */
public class Frame_Auth extends JFrame implements ValidateListener
{
	private final Controller _controller;

	public Frame_Auth(final Controller controller)
	{
		super("Ajout d'un gestionnaire");

		this._controller = controller;
		this.setLayout((new BoxLayout(this.getContentPane(), BoxLayout.Y_AXIS)));
		this.add(new Panel_Calendar(controller));
		this.add(new Button_Annuler(this));
		Button_Valider jButton1 = new Button_Valider(this);
		jButton1.addValidateListener(this);
		this.add(jButton1);
		this.pack();
	}

	public void validationPerformed()
	{
		System.out.println("Ajout du gestionnaire ...");
	}
}
