package tical.utils.calendar;

import com.google.gdata.data.acl.AclRole;
import com.google.gdata.data.calendar.CalendarAclRole;

import tical.main.Controller;
import tical.utils.contact.Contact;

public class CalAuth
{
	private Controller controller;

	public CalAuth(final Controller controller)
	{
		this.controller = controller;
	}

	/**
	 * Renvoi la liste des personnes ayant accès avec droits au calendriers
	 * @return
	 */
	public Contact[] getList()
	{
		/**
		 * @TODO
		 */
		return null;
	}

	/**
	 * Ajout d'un accès pour un utilisateur, celui-ci pourra A/E/S des évenement au calendrier désigné
	 * 
	 * @param user
	 * @param c
	 */
	public void addAuth(Contact user, Cal c)
	{
		this._addAuth(user, c, CalendarAclRole.EDITOR);
	}

	/**
	 * Ajout d'un accès pour un utilisateur, celui-ci pourra tout faire au calendrier désigné
	 * 
	 * @param user
	 * @param c
	 */
	public void addFullAuth(Contact user, Cal c)
	{
		this._addAuth(user, c, CalendarAclRole.OWNER);
	}

	public void delAuth(Contact user)
	{
		/**
		 * @TODO
		 */
		/*
		 * AclEntry entry = new AclEntry();
		 * entry.setScope(new AclScope(AclScope.Type.USER, "jdoe@gmail.com"));
		 * entry.setRole(CalendarAclRole.READ);
		 * URL aclUrl = new URL("http://www.google.com/calendar/feeds/jo@gmail.com/acl/full");
		 * AclEntry insertedEntry = service.insert(aclUrl, entry);
		 * entry.setRole(CalendarAclRole.OWNER);
		 * AclEntry updatedEntry = entry.update();
		 * entry.delete();
		 */
	}

	/**
	 * Ajout des droits
	 * @param user
	 * @param c
	 * @param type type de droit
	 */
	private void _addAuth(Contact user, Cal c, AclRole type)
	{
		/**
		 * @TODO /!\ vérifier que si le type n'est pas un comtpe gmail ou un compte avec google calendar d'activé cela passe aussi ...
		 */
	}
}

/*
 * HElps
 * http://code.google.com/apis/calendar/developers_guide_java.html#SharingACalendar
 * CalendarAclRole.FREEBUSY (this user can only see free/busy information);
 * CalendarAclRole.READ (this user can see all event details);
 * CalendarAclRole.EDITOR (this user can make changes to events);
 * CalendarAclRole.OWNER (this user can make changes and manage sharing).
 * CalendarAclRole.ROOT (Devient le proprio).
 */