package tical.utils.calendar;

import com.google.gdata.data.DateTime;
import com.google.gdata.data.PlainTextConstruct;
import com.google.gdata.data.calendar.CalendarEventEntry;
import com.google.gdata.data.extensions.BaseEventEntry;
import com.google.gdata.data.extensions.When;

/**
 * @author   grummfy
 * @version 28-02-008
 */
public class CalEvent
{
	protected CalendarEventEntry cs;

	public CalEvent()
	{
		this.cs = new CalendarEventEntry();
		this.cs.setVisibility(BaseEventEntry.Visibility.PUBLIC);
	}

	public CalendarEventEntry getEntry()
	{
		return this.cs;
	}

	public void setText(String titre)
	{
		this.cs.setTitle(new PlainTextConstruct(titre));
	}

	public void setDescription(String desc)
	{
		this.cs.setContent(new PlainTextConstruct(desc));
	}

	/**
	 * 
	 * @param timeStart 2006-04-17T15:00:00-08:00
	 * @param timeEnd 2006-04-17T17:00:00-08:00
	 */
	public void setTime(String timeStart, String timeEnd)
	{
		When eventTimes = new When();
		System.out.println(timeStart);
		System.out.println(timeEnd);
		eventTimes.setStartTime(DateTime.parseDateTime(timeStart));
		eventTimes.setEndTime(DateTime.parseDateTime(timeEnd));
		this.cs.addTime(eventTimes);
	}


	public String getText()
	{
		//TODO
		return null;
	}

	public String getDescription()
	{
		//TODO
		return null;
	}

	public String[] getTime()
	{
		//TODO
		return null;
	}
}
