package tuto;

import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import javax.swing.BoxLayout;

public class ButtonFrame extends JFrame implements ButtonListener
{
	public ButtonFrame()
	{
		super("Test");
		this.initialize();
	}

	public void initialize()
	{
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);//en cas de fermeture on quitte
		this.setLayout(new BoxLayout(this.getContentPane(), BoxLayout.Y_AXIS));
		SpcButton btnAnnuler = new SpcButton(SpcButton.BUTTON_ANNULER);
		SpcButton btnValider = new SpcButton(SpcButton.BUTTON_VALIDER);
		btnAnnuler.addButtonListener(this);
		btnValider.addButtonListener(this);
		this.add(btnValider);
		this.add(btnAnnuler);
		this.pack();
		this.setVisible(true);
	}

	public void cancelPerformed()
	{
		this.dispose();
	}

	public void validePerformed()
	{
		System.out.println("On a valider la fenêtre...\nCliquer sur annuler pour fermer.");
	}
}