package tical.main;

import tical.ui.Console;
import tical.ui.Graphical;
import tical.ui.UserInterface;
import tical.utils.calendar.Service;

/**
 * @author   grummfy
 * @version 28-02-008
 */
public class Controller
{
	private Service _service;

	public Controller()
	{
		this._service = new Service();
	}

	public UserInterface newUI(boolean isGraphical)
	{
		if (!isGraphical)
		{
			return new Console();
		}
		else
		{
			return new Graphical( this );
		}
	}

	public Service getService()
	{
		return this._service;
	}
}
