package tical.main;

import tical.ui.UserInterface;
import tical.utils.Config;
import tical.utils.Loader;

/**
 * @author   grummfy
 * @version 23-02-008
 */
public final class HenamTiCalendar
{
	private static Controller controller;
	private static UserInterface gui;
	private static Config conf;

	public HenamTiCalendar()
	{
		//lance l'application
		this.init(null);
	}

	public HenamTiCalendar(String[] args)
	{
		//lance l'application avec argument
		this.init(args);
	}

	private void init(String[] args)
	{
		if (args != null && args.length != 0)
		{
			for (int i = 0; i < args.length; i++)
				System.out.println("\t" + args[i]);
			System.out.println(args);
		}
		controller = new Controller();
		conf = new Config();
		gui = controller.newUI( conf.isGraphical() );
		gui.show();
	}
}
