package tical.ui;

import javax.swing.JOptionPane;

import tical.main.Controller;
import tical.ui.graphical.frame.Frame_Main;

/**
 * @author   grummfy
 * @version 23-02-008
 */
public class Graphical extends UserInterface
{
	private Frame_Main mainFrame;

	public Graphical(final Controller controller)
	{
		mainFrame = new Frame_Main(controller);
	}
	
	/**
	 * Makes the main application window visible to the user
	 */
	public void show()
	{
		mainFrame.setVisible(true);
	}

	public void print(Object myObject)
	{
	}

	public void error(String error)
	{
		Throwable thw = new Throwable();
		StackTraceElement stack = thw.getStackTrace()[1];
		String msg = stack.toString() + "() : methode doit encore etre implementee";
		JOptionPane.showMessageDialog(null, msg, "Erreur", JOptionPane.ERROR_MESSAGE);
		System.err.println("Erreur: " + msg);
	}
}
