package tical.ui.graphical.controls;

import javax.swing.DefaultListModel;
import javax.swing.JList;

public class JListCalendar extends JList
{
	private DefaultListModel listModel;

	public JListCalendar()
	{
		//plusieurs selections avec intervalles ...
		this.setSelectionMode(javax.swing.ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		this._Remplir();
	}

	public void addElement(String elem)
	{
		this.listModel.addElement(elem);
	}

	/**
	 * Rempli la liste
	 *
	 */
	private void _Remplir()
	{
		this.listModel = new DefaultListModel();
		this.addElement("Aucun calendrier sélectionner!");
		this.setModel(this.listModel);
		this.setSelectedIndex(0);
		this.setVisibleRowCount(5);
	}

	public int[] getSelected()
	{
		return this.getSelectedIndices();
	}
}
