package tical.ui.graphical.controls.button;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JButton;

import tical.main.Controller;
import tical.ui.graphical.frame.Frame_Event;

/**
 * @author   grummfy
 * @version 28-02-008
 */
public class Button_Add_Event extends JButton
{
	public Button_Add_Event(final Controller controller)
	{
		this.setAction(new AbstractAction()
		{
			/**
			 * asks for the previous song in the list being played
			 */
			public void actionPerformed(ActionEvent e)
			{
				Frame_Event fe = new Frame_Event(controller);
				fe.setVisible(true);
			}
		});
		// must go after the setAction that overrides the name
		this.setText("[+] Ajout");
		this.setToolTipText("Ajoute un nouvel événement");
	}
}
