package tical.ui.graphical.controls.button;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import javax.swing.JButton;

import tical.main.Controller;

public class Button_Quit extends JButton
{
	public Button_Quit(final Controller controller)
	{
		this.setAction(new AbstractAction()
		{
			/**
			 * asks for the previous song in the list being played
			 */
			public void actionPerformed(ActionEvent e)
			{
				System.out.println("Quitter le programme!\nAu revoir");
				System.exit(0);
			}
		});
		// must go after the setAction that overrides the name
		this.setText("[X] Quitter");
		this.setIcon(new ImageIcon("Quitter.gif"));
		this.setToolTipText("Quitter le programme");
	}
}