package tuto;

import java.util.Iterator;
import java.util.LinkedList;

public class FooBar
{
	protected LinkedList _listeners;

	/**
	 * Constructeur
	 *
	 */
	public FooBar()
	{
		this._listeners = new LinkedList();
	}

	/**
	 * Effectue une action quelconque
	 *
	 */
	public void makeAction()
	{
		this._fireBarPerformed();
	}

	/**
	 * Effectue une autre action quelconque
	 *
	 */
	public void makeAction2()
	{
		this._fireFooPerformed("Hello WOrld");
	}

	/**
	 * Ajoute un listener
	 * @param l
	 * @return
	 */
	public boolean addFooListener(FooListener l)
	{
		if(!this._listeners.contains(l))
			return this._listeners.add(l);
		return true;
	}

	/**
	 * Enlève un listener
	 * @param l listener à enlever
	 * @see java.util.LinkedList#remove()
	 * @return
	 */
	public boolean removeFooListener(FooListener l)
	{
		return this._listeners.remove(l);
	}

	/**
	 * Envoi l'event foo
	 *
	 */
	protected synchronized void _fireFooPerformed(String totor)
	{
		Iterator ite = this._listeners.iterator();
		while(ite.hasNext())
		{
			FooListener l = (FooListener)ite.next();
			l.fooPerformed(totor);
		}
	}

	/**
	 * Envoi l'event bar
	 *
	 */
	protected synchronized void _fireBarPerformed()
	{
		Iterator ite = this._listeners.iterator();
		while(ite.hasNext())
		{
			FooListener l = (FooListener)ite.next();
			l.barPerformed(new FooEvent(this, "Toto est beau!"));
		}
	}
}
